%!TEX root = ../main.tex

%% Citation Styles
% http://ctan.mirrorcatalogs.com/macros/latex/contrib/biblatex/doc/biblatex.pdf (3.3.1 Citation Styles)
% recommended:  z.B numeric-comp, alphabetic, 
% not recommended: authoryear, alphabetic-verb, 
\newcommand{\quoteStyle}{numeric-comp}

%% Fonts
%% palatino, goudysans, lmodern or libertine
\newcommand{\documentFont}{lmodern}

%% Margin
\newcommand{\margin}{2.5cm}

%% Space between chapter headline and top of page
\newcommand{\chapterMargin}{20pt}

%% Table settings
% Column spacing
\newcommand{\tableColumnMargin}{10pt}
%Line spacing
\newcommand{\tableRowMargin}{1.5}

%% Color settings
\newcommand{\defineColors}{%
	\definecolor{LinkColor}{HTML}{\linkColor}
	\definecolor{ListingBackground}{HTML}{F8F8F8}
	\definecolor{StringPink}{rgb}{0.627, 0.126, 0.941}
	\definecolor{CommentGreen}{rgb}{0.133, 0.545, 0.133}
	\definecolor{JavaAnnotation}{RGB}{255, 182, 0}
}

%% Syntax Highlighting (Listings)
\newcommand{\listingsettings}{%

	\lstdefinestyle{Java}{
		language		= Java,
		keywordstyle	= \color{orange}
	}

	\lstdefinestyle{XML}{
		language		= XML,
		keywordstyle	= \color{CommentGreen}
	}

	\lstdefinestyle{SQL}{
		language		= SQL,
		keywordstyle	= \color{CommentGreen}
	}

	\lstset{
		stepnumber		= 1,
		numbers			= left,
		numbersep		= 5pt,
		numberstyle		= \tiny,
		breaklines		= true,
		breakautoindent	= false,
		tabsize			= 4,
		postbreak		= \space,
		basicstyle		= \ttfamily\footnotesize,
		showspaces		= false,
		extendedchars	= false, % Doesn't work with UTF-8
		captionpos		= b,
		backgroundcolor	= \color{ListingBackground},
		xleftmargin		= 10pt,
		xrightmargin	= 5pt,
		frame			= single,
		frameround		= ffff,
		rulecolor		= \color{darkgray},
		fillcolor		= \color{ListingBackground},
		aboveskip		= 20pt,
		commentstyle	= \color{CommentGreen},
		stringstyle		= \color{StringPink},
		showstringspaces= false
	}
}